language: python
stages:
  - name: test

cache: pip
before_script:
  - python setup.py install
script:
  - cd example
  - DEBUG=1 python setup.py test
jobs:
  include:
    - stage: test
      python: "3.5"
    - stage: test
      python: "3.6"
    - stage: test
      python: "3.7"
    - stage: test
      python: "3.8"
    - stage: test
      python: "3.9"
    - stage: test
      python: "pypy3.5"
